module.exports = {
  MAX_INT64_STR: '9223372036854775807',
  MIN_INT64_STR: '-9223372036854775807',
  MAX_UINT64_STR: '18446744073709551615',
  MIN_UINT64_STR: '0',

  // name flags are given to bus.requestName()
  DBUS_NAME_FLAG_ALLOW_REPLACEMENT: 1,
  DBUS_NAME_FLAG_REPLACE_EXISTING: 2,
  DBUS_NAME_FLAG_DO_NOT_QUEUE: 4,

  // the result of bus.requestName()
  DBUS_REQUEST_NAME_REPLY_PRIMARY_OWNER: 1,
  DBUS_REQUEST_NAME_REPLY_IN_QUEUE: 2,
  DBUS_REQUEST_NAME_REPLY_EXISTS: 3,
  DBUS_REQUEST_NAME_REPLY_ALREADY_OWNER: 4,

  messageType: {
    invalid: 0,
    methodCall: 1,
    methodReturn: 2,
    error: 3,
    signal: 4
  },

  headerTypeName: [
    null,
    'path',
    'interface',
    'member',
    'errorName',
    'replySerial',
    'destination',
    'sender',
    'signature'
  ],

  // TODO: merge to single hash? e.g path -> [1, 'o']
  fieldSignature: {
    path: 'o',
    interface: 's',
    member: 's',
    errorName: 's',
    replySerial: 'u',
    destination: 's',
    sender: 's',
    signature: 'g'
  },
  headerTypeId: {
    path: 1,
    interface: 2,
    member: 3,
    errorName: 4,
    replySerial: 5,
    destination: 6,
    sender: 7,
    signature: 8
  },
  protocolVersion: 1,
  flags: {
    noReplyExpected: 1,
    noAutoStart: 2
  },
  endianness: {
    le: 108,
    be: 66
  },
  messageSignature: 'yyyyuua(yv)',
  defaultAuthMethods: ['EXTERNAL', 'DBUS_COOKIE_SHA1', 'ANONYMOUS']
};
